=== debian/changelog ===
kdepim-runtime (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:56:28 +0100

kdepim-runtime (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:21:01 +0200

kdepim-runtime (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:09:55 +0100

kdepim-runtime (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Rohan Garg ]
  * Add libaccounts-qt-dev, libsignon-qt-dev as build dependencies
  * Update install file

  [ Jonathan Riddell ]
  * New upstream beta release
  * Build with latest signon-qt to fix build failure

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Mar 2014 23:59:30 +0000

kdepim-runtime (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:42:44 +0100
