=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kdepim-runtime-dbg

override_dh_makeshlibs:
	$(overridden_command) -Xusr/lib/libkdepim-runtime-dms-copy.so
